searchData={"items":[{"type":"module","title":"Islands.Grid","doc":"A grid (map of maps) and functions for the _Game of Islands_.\n\n###","ref":"Islands.Grid.html"},{"type":"module","title":"Inspired by the book [Functional Web Development](https://pragprog.com/titles/lhelph/functional-web-development-with-elixir-otp-and-phoenix/) by Lance Halvorsen. - Islands.Grid","doc":"","ref":"Islands.Grid.html#module-inspired-by-the-book-functional-web-development-https-pragprog-com-titles-lhelph-functional-web-development-with-elixir-otp-and-phoenix-by-lance-halvorsen"},{"type":"function","title":"Islands.Grid.new/0","doc":"Creates an \"empty\" grid.","ref":"Islands.Grid.html#new/0"},{"type":"function","title":"Examples - Islands.Grid.new/0","doc":"iex> alias Islands.Grid\n    iex> grid = Grid.new()\n    iex> {grid[1][1], grid[10][10]}\n    {nil, nil}\n\n    iex> alias Islands.Grid\n    iex> grid = Grid.new()\n    iex> for row <- 1..10 do\n    iex>   for col <- 1..10, uniq: true do\n    iex>     grid[row][col]\n    iex>   end\n    iex> end\n    [[nil], [nil], [nil], [nil], [nil], [nil], [nil], [nil], [nil], [nil]]\n\n    iex> Islands.Grid.new()\n    %{\n      1 => %{ 1 => nil, 2 => nil, 3 => nil, 4 => nil,  5 => nil,\n              6 => nil, 7 => nil, 8 => nil, 9 => nil, 10 => nil},\n      2 => %{ 1 => nil, 2 => nil, 3 => nil, 4 => nil,  5 => nil,\n              6 => nil, 7 => nil, 8 => nil, 9 => nil, 10 => nil},\n      3 => %{ 1 => nil, 2 => nil, 3 => nil, 4 => nil,  5 => nil,\n              6 => nil, 7 => nil, 8 => nil, 9 => nil, 10 => nil},\n      4 => %{ 1 => nil, 2 => nil, 3 => nil, 4 => nil,  5 => nil,\n              6 => nil, 7 => nil, 8 => nil, 9 => nil, 10 => nil},\n      5 => %{ 1 => nil, 2 => nil, 3 => nil, 4 => nil,  5 => nil,\n              6 => nil, 7 => nil, 8 => nil, 9 => nil, 10 => nil},\n      6 => %{ 1 => nil, 2 => nil, 3 => nil, 4 => nil,  5 => nil,\n              6 => nil, 7 => nil, 8 => nil, 9 => nil, 10 => nil},\n      7 => %{ 1 => nil, 2 => nil, 3 => nil, 4 => nil,  5 => nil,\n              6 => nil, 7 => nil, 8 => nil, 9 => nil, 10 => nil},\n      8 => %{ 1 => nil, 2 => nil, 3 => nil, 4 => nil,  5 => nil,\n              6 => nil, 7 => nil, 8 => nil, 9 => nil, 10 => nil},\n      9 => %{ 1 => nil, 2 => nil, 3 => nil, 4 => nil,  5 => nil,\n              6 => nil, 7 => nil, 8 => nil, 9 => nil, 10 => nil},\n      10 => %{1 => nil, 2 => nil, 3 => nil, 4 => nil,  5 => nil,\n              6 => nil, 7 => nil, 8 => nil, 9 => nil, 10 => nil}\n    }","ref":"Islands.Grid.html#new/0-examples"},{"type":"function","title":"Islands.Grid.new/1","doc":"Converts a board or guesses struct into a grid.","ref":"Islands.Grid.html#new/1"},{"type":"function","title":"Islands.Grid.to_maps/2","doc":"Converts a board or guesses struct into a grid and then into a list of maps.\nFunction `tile_fun` converts each grid cell value into a colored tile (with\nembedded ANSI escapes). The default for `tile_fun` is function\n`Islands.Grid.Tile.new/1`.","ref":"Islands.Grid.html#to_maps/2"},{"type":"type","title":"Islands.Grid.t/0","doc":"A grid (map of maps) allowing the `grid[row][col]` syntax","ref":"Islands.Grid.html#t:t/0"},{"type":"type","title":"Islands.Grid.tile_fun/0","doc":"Function creating a tile from a cell value","ref":"Islands.Grid.html#t:tile_fun/0"},{"type":"module","title":"Islands.Grid.Tile","doc":"Creates a tile from a cell value.","ref":"Islands.Grid.Tile.html"},{"type":"function","title":"Islands.Grid.Tile.new/1","doc":"Creates a tile (with embedded ANSI escapes) from `cell_value`.","ref":"Islands.Grid.Tile.html#new/1"},{"type":"function","title":"Examples - Islands.Grid.Tile.new/1","doc":"iex> alias Islands.Grid.Tile\n    iex> Tile.new(:atoll) # => A sandy brown tile\n    [[[[[] | \"\u001B[38;5;215m\"] | \"\u001B[48;5;215m\"], \" \"] | \"\u001B[0m\"]\n\n    iex> alias Islands.Grid.Tile\n    iex> Tile.new(:atoll_hit) # => An islamic green tile\n    [[[[[] | \"\u001B[38;5;34m\"] | \"\u001B[48;5;34m\"], \">a<\"] | \"\u001B[0m\"]","ref":"Islands.Grid.Tile.html#new/1-examples"}],"content_type":"text/markdown"}